Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class RepeatForUnit

    java.lang.Object
      com.compoze.domino.RepeatForUnit

All Implemented Interfaces:
  java.io.Serializable

public class RepeatForUnit
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'repeat for unit'.

See Also:
  Serialized Form

Field Summary
`static RepeatForUnit` | `DAYS` This value represents a 'days' repeat for unit.
`static RepeatForUnit` | `MONTHS` This value represents a 'months' repeat for unit.
`static int` | `VALUE_DAYS` This represents the 'days' value.
`static int` | `VALUE_MONTHS` This represents the 'months' value.
`static int` | `VALUE_WEEKS` This represents the 'weeks' value.
`static int` | `VALUE_YEARS` This represents the 'years' value.
`static RepeatForUnit` | `WEEKS` This value represents a 'weeks' repeat for unit.
`static RepeatForUnit` | `YEARS` This value represents a 'years' repeat for unit.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RepeatForUnit` | `get(int iValue)` Gets the repeat for unit by its value.
`static java.util.List` | `getList()` Gets the list of repeat for units.
`java.lang.String` | `getName()` Gets the name of the repeat for unit using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the repeat for unit using the specified locale.
`int` | `getValue()` Gets the value of the repeat for unit.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_DAYS

    public static final int VALUE_DAYS

  This represents the 'days' value.

  See Also:
    Constant Field Values

### VALUE_WEEKS

    public static final int VALUE_WEEKS

  This represents the 'weeks' value.

  See Also:
    Constant Field Values

### VALUE_MONTHS

    public static final int VALUE_MONTHS

  This represents the 'months' value.

  See Also:
    Constant Field Values

### VALUE_YEARS

    public static final int VALUE_YEARS

  This represents the 'years' value.

  See Also:
    Constant Field Values

### DAYS

    public static final RepeatForUnit DAYS

  This value represents a 'days' repeat for unit.

### WEEKS

    public static final RepeatForUnit WEEKS

  This value represents a 'weeks' repeat for unit.

### MONTHS

    public static final RepeatForUnit MONTHS

  This value represents a 'months' repeat for unit.

### YEARS

    public static final RepeatForUnit YEARS

  This value represents a 'years' repeat for unit.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the repeat for unit using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the repeat for unit using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getValue

    public int getValue()

  Gets the value of the repeat for unit.

  Returns:
    the value

### get

    public static RepeatForUnit get(int iValue)

  Gets the repeat for unit by its value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching repeat for unit or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of repeat for units.

  Returns:
    the list of `RepeatForUnit`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.